#ifndef SM_CLIENT_CFG_H
#define SM_CLIENT_CFG_H

typedef struct {
        unsigned char           system_id[17];
        unsigned char           password[10];
        unsigned char           system_type[14];
        unsigned char           interface_version;
        unsigned char           addr_ton;
        unsigned char           addr_npi;
        unsigned char           address_range[42];
} SMPPBind_S;

typedef struct {
	unsigned int		mtype;
	unsigned char		server_index;
	unsigned char		dest_addr_ton;
	unsigned char		dest_addr_npi;
	unsigned char		source_addr_ton;
	unsigned char		source_addr_npi;
	unsigned char		source_addr[22];
	unsigned char		validity_period[18];
	unsigned char		data_coding;
	unsigned char		flag[9];
} SMPPProfile_S;

class SMClientCfg {
public:
	SMClientCfg();
	~SMClientCfg();

	int  ReadConfig(const char *filename, SMPPBind_S *info, SMPPProfile_S *profile, int max_size);

private:
	char *get_validity_period_str(char *str, char *validity_period_str);

};


#endif SM_CLIENT_CFG_H
