/***********************************************************************

Filename	: UniCode_Util.c
Description	: Uni Coide Utility

History
--------------------------------------------------------
20020320	Kei		First Creation

***********************************************************************/

#include<stdio.h>
#include<string.h>
#include "UniCode_Util.h"
#include "big5_uni.h"
#include "gb_uni.h"
#include "uni_big5.h"
#include "uni_gb.h"

UniCode_Util::UniCode_Util()
{
}

UniCode_Util::~UniCode_Util()
{
}

int UniCode_Util::gb_to_uni(unsigned char* in_str, unsigned int in_len, unsigned char* out_str, unsigned int &out_len)
{
	out_len = 0;
	for (int i=0;i<in_len;) {
		if (in_str[i]>=1 && in_str[i] <= 127) {
			out_str[out_len++] = 0x00;
			out_str[out_len++] = in_str[i++];
		} else {
			int index = in_str[i++] << 8;
			index |= in_str[i++];
			//printf("%02x %02x %04x %04x\n", in_str[i-2], in_str[i-1], index, big5_2_uni[index]);
			out_str[out_len++] = (gb_2_uni[index] & 0xFF00) >> 8;
			out_str[out_len++] = gb_2_uni[index] & 0x00FF;
		}
	}	
	return 0;
}

int UniCode_Util::uni_to_gb(unsigned char* in_str, unsigned int in_len, unsigned char* out_str, unsigned int &out_len)
{
	out_len = 0;
	for (int i=0;i<in_len;) {
		if (in_str[i]) {
			int index = in_str[i++] << 8;
			index |= in_str[i++];
			//printf("%02x %02x %04x %04x\n", in_str[i-2], in_str[i-1], index, uni_2_big5[index]);
			out_str[out_len++] = (uni_2_gb[index] & 0xFF00) >> 8;
			out_str[out_len++] = uni_2_gb[index] & 0x00FF;
		} else {
			out_str[out_len++] = in_str[i++];
			i++;
		}
	}	
	return 0;
}

int UniCode_Util::big5_to_uni(unsigned char* in_str, unsigned int in_len, unsigned char* out_str, unsigned int &out_len)
{
	out_len = 0;
	for (int i=0;i<in_len;) {
		if (in_str[i]>=1 && in_str[i] <= 127) {
			out_str[out_len++] = 0x00;
			out_str[out_len++] = in_str[i++];
		} else {
			int index = in_str[i++] << 8;
			index |= in_str[i++];
			//printf("%02x %02x %04x %04x\n", in_str[i-2], in_str[i-1], index, big5_2_uni[index]);
			out_str[out_len++] = (big5_2_uni[index] & 0xFF00) >> 8;
			out_str[out_len++] = big5_2_uni[index] & 0x00FF;
		}
	}	
	return 0;
}

int UniCode_Util::uni_to_big5(unsigned char* in_str, unsigned int in_len, unsigned char* out_str, unsigned int &out_len)
{
	out_len = 0;
	for (int i=0;i<in_len;) {
		int index = in_str[i++] << 8;
		index |= in_str[i++];
		//printf("%02x %02x %04x %04x\n", in_str[i-2], in_str[i-1], index, uni_2_big5[index]);
		if ((uni_2_big5[index] & 0xFF00) >> 8 == 0x00) {
			out_str[out_len++] = uni_2_big5[index] & 0x00FF;
		} else {
			out_str[out_len++] = (uni_2_big5[index] & 0xFF00) >> 8;
			out_str[out_len++] = uni_2_big5[index] & 0x00FF;
		}
	}	
	return 0;
}
