/********************************************************************

	Filename	: INTM_Util.h
	Description	: INTM Utility header file

	History:
	------------------------------------------------------------
	20010728	Michael Chen: First Creation

********************************************************************/

#ifndef INTM_UTIL_H
#define INTM_UTIL_H

#include "INTM_Message.h"

/**
*	@memo Description:
*		Read INTM message from a file descriptor.
*	@exception
*		None
*	@return
*		0 when there is error in reading,
*		otherwise return number of bytes read
*	@param fd (input)
*		File descriptor
*	@param msg (output)
*		INTM message to be read
*/
int INTM_read(int fd, intm_msg *msg);

/**
*	@memo Description:
*		Send INTM message from a file descriptor.
*	@exception
*		None
*	@return
*		0 when there is error in sending,
*		otherwise return number of bytes sent
*	@param fd (input)
*		File descriptor
*	@param msg (input)
*		INTM message to be sent
*/
int INTM_send(int fd, intm_msg *msg);

#endif	/* INTM_UTIL_H */
