/********************************************************************

	Filename	: SMPP_Util.h
	Description	: SMPP General include header file
			  - Constant definition specified in SMPP 3.4

	History:
	------------------------------------------------------------
	20010707	fw: First Creation
	20010808	kei: SMPP_GetSeqNo and SMPP_GetCommandStatus added, 
			Final Message State for Delivery Receipt Format (Status Report) added
	20011019	kei: Add pack_msg of DeliverSM for diff. DR
	20011020	fw: Exchange value of SMPP_DRFT_USERDEF and SMPP_DRFT_NORMAL
	20011123	kei: Add OP for PTC-SMX as GWNO of OA and DA
	20020109	kei: Add HLR optional param
	20020703	fw: Add Card Type
	20030303	fw: Copied from SMPP.h (for C++ library)

********************************************************************/

#ifndef SMPP_UTIL_H
#define SMPP_UTIL_H

////////////////////////////////////////////////////////////////////////
//
//  SMPP Function Declarations
//
////////////////////////////////////////////////////////////////////////
unsigned long smpp_GetCommandLength(unsigned char *buf);
unsigned long smpp_GetCommandID(unsigned char *buf);
unsigned long smpp_GetCommandStatus(unsigned char *buf);
unsigned long smpp_GetSeqNo(unsigned char *buf);
unsigned short smpp_GetOptParamID(unsigned char *buf);
unsigned short smpp_GetOptParamLength(unsigned char *buf);
int smpp_read(int fd, unsigned char *buf, size_t max_len);
int smpp_send(int fd, unsigned char *buf);


#endif		/* SMPP_UTIL_H */
