/********************************************************/
/*							*/
/*	Inter-module Communication Message Type		*/
/*	Last Edit: 19980717				*/
/*	Version  : 0.05					*/
/*							*/
/********************************************************/

#ifndef INTM_MSG_H
#define INTM_MSG_H

/*	General Definition for VCOAL/VAPP message	*/

#define RAW_SDS			0x0101
#define OFFHOOK			0x0102		/* Offhook 		*/
#define ONHOOK			0x0103		/* Onhook 		*/
#define RING			0x0104		/* Ring 		*/
#define ANSWER			0x0105		/* Answer 		*/
#define PORT_CONNECTION 	0x0106		/* Port Connection 	*/
#define DIGIT_COLLECTION	0x0107		/* Digit Collection 	*/
#define PROMPT_COMPLETE		0x0108		/* Prompt Complete 	*/
#define APPLICATION_ALARM	0x0109		/* Application Alarm 	*/


/*	General Definition for OM message		*/

#define LOGIN		0x0201		/* Login 				*/
#define LOGOUT		0x0202		/* Logout 				*/
#define REQ_OP_ASSIST	0x0203		/* Request Operator Assist 		*/
#define OP_ASSIST_ACK	0x0204		/* Operator Assist Acknowledgement 	*/
#define LOSS_CONNECT	0x0205		/* Disconnect 				*/


/*	General Definition for General Message		*/

#define CONN_REQ	0x0301		/* Connection Initiate 		*/
#define ACK		0x0302		/* Acknowledgement 		*/
#define TERMINATE	0x0303		/* Terminate 			*/
#define DATA_REQ	0x0304		/* Data Request 		*/
#define DATA		0x0305		/* Data 			*/
#define ADVISE		0x0306		/* Advise 			*/
#define UNADVISE	0x0307		/* Unadvise 			*/
#define UPDATE		0x0308		/* Update 			*/
#define EXECUTE		0x0309		/* Execute 			*/

/*	General Definition for Parameter Identifier	*/

#define CTRL_PORT		0x01		/* Control Port		*/
#define SEND_PORT		0x02		/* Assoicate port	*/
#define PROPERTY		0x03
#define B_NUMBER		0x04		/* Called Number	*/ 
#define DDI			0x05		/* Direct Dial In Num.	*/
#define CAUSE_CODE		0x06
#define STATUS			0x07
#define SS7_DATA		0x08
#define FIELD_CTRL		0x09
#define DIGIT			0x0A
#define CLI			0x0B		/* Calling Number	*/
#define GROUP_NUM		0x0C
#define ALARM_INFO		0x0D
#define SEIZURE_ACK		0x0E
#define SERVICE_ID		0x0F
#define LANGUAGE		0x10
#define CARD_NUM		0x11
#define CARD_NUM_VALIDATE	0x12
#define ACT_CODE		0x13
#define REMAIN_VALUE		0x14
#define CALL_PLAN		0x15
#define DURATION		0x16
#define COMB_CARD		0x17
#define COMB_CARD_NUM		0x18
#define COMB_CARD_VALUE		0x19
#define RULE_INFO		0x1A
#define REDIAL			0x1B
#define CARD_TYPE		0x1C
#define FORWARD			0x1D
#define ACTIVE_SIDE		0x1E
#define UNSTRUCTURE		0x1F
#define TOTAL_VALUE		0x20
#define SUSPEND			0x21
#define CONN_RELEASE		0x22
#define COUNTRY_CODE		0x23
#define AREA_CODE		0x24
#define LOCATION		0x25	/* Overlap VRU_NUM */
#define VRU_NUM			0x25
#define LINE_NUM		0x26
#define TRUNK_NUM		0x27
#define CALL_TYPE		0x28
#define CONN_REQ_ACK		0x29
#define REL_ACK			0x2A
#define LINE_CHECK		0x2B
#define LINE_CHECK_ACK		0x2C
#define CARD_NUM_VALIDATE_ACK	0x2D
#define B_NUM_VALIDATE_ACK	0x2E
#define CALL_TYPE_REQ		0x2F
#define B_NUM_VALIDATE		0x30
#define OUTDIAL_REQ		0x31
#define ID			0x32
#define PEAK_HOUR		0x33
#define PIN_NUM			0x34
#define CURRENT_REDIAL_NUM	0x35
#define INVALID_ATTEMPT		0x36
#define SEC_PER_BLOCK		0x37
#define UNIT_PER_BLOCK		0x38
#define OPTION			0x39
#define PROCESS_ID		0x3A
#define CALL_OPTION		0x3B
#define COBRAND			0x3C
#define ORIG_NUM		0x3D
#define DEST_NUM		0x3E
#define SERIAL_NUM		0x3F
#define COMB_SERIAL_NUM		0x40
#define CARD_RESTRICTION	0x41
#define COUNTRY_IND		0x42
#define THR_COUNTRY_CALL	0x43
#define DEFAULTRATE		0x44
#define DEFAULTBLK		0x45
#define IN_SEC_PER_BLOCK	0x46
#define IN_UNIT_PER_BLOCK	0x47
#define ACTIVATE_CARD		0x48
#define SUB_TYPE		0x49
#define MTX_CODE		0x4A
#define TIME_RESTRICTION	0x4B
#define REDIR_INFO		0x4C
#define BACKWARD		0x4D
#define ACCESS_INFO		0x4E
#define SPEEDDIAL_INFO		0x4F
#define CHARGE			0x50
#define CARD_EXP_DATE		0x51
#define CARD_DENO		0x52
#define PROMPT			0x53
#define REDIR_NUM		0x54


#endif
