/********************************************************/
/*							*/
/*	Inter-module Communication Message Type		*/
/*	Last Edit: 19980717				*/
/*	Version  : 0.05					*/
/*							*/
/********************************************************/

#ifndef INTM_MSG_NEW_H
#define INTM_MSG_NEW_H

/*	General Definition for VCOAL/VAPP message	*/

#define INTM_RAW_SDS			0x0101
#define INTM_OFFHOOK			0x0102		/* Offhook 		*/
#define INTM_ONHOOK			0x0103		/* Onhook 		*/
#define INTM_RING			0x0104		/* Ring 		*/
#define INTM_ANSWER			0x0105		/* Answer 		*/
#define INTM_PORT_CONNECTION 		0x0106		/* Port Connection 	*/
#define INTM_DIGIT_COLLECTION		0x0107		/* Digit Collection 	*/
#define INTM_PROMPT_COMPLETE		0x0108		/* Prompt Complete 	*/
#define INTM_APPLICATION_ALARM		0x0109		/* Application Alarm 	*/


/*	General Definition for OM message		*/

#define INTM_LOGIN			0x0201		/* Login 				*/
#define INTM_LOGOUT			0x0202		/* Logout 				*/
#define INTM_REQ_OP_ASSIST		0x0203		/* Request Operator Assist 		*/
#define INTM_OP_ASSIST_ACK		0x0204		/* Operator Assist Acknowledgement 	*/
#define INTM_LOSS_CONNECT		0x0205		/* Disconnect 				*/


/*	General Definition for General Message		*/

#define INTM_CONN_REQ			0x0301		/* Connection Initiate 		*/
#define INTM_ACK			0x0302		/* Acknowledgement 		*/
#define INTM_TERMINATE			0x0303		/* Terminate 			*/
#define INTM_DATA_REQ			0x0304		/* Data Request 		*/
#define INTM_DATA			0x0305		/* Data 			*/
#define INTM_ADVISE			0x0306		/* Advise 			*/
#define INTM_UNADVISE			0x0307		/* Unadvise 			*/
#define INTM_UPDATE			0x0308		/* Update 			*/
#define INTM_EXECUTE			0x0309		/* Execute 			*/

/*	General Definition for Parameter Identifier	*/

#define INTM_CTRL_PORT			0x01		/* Control Port		*/
#define INTM_SEND_PORT			0x02		/* Assoicate port	*/
#define INTM_PROPERTY			0x03
#define INTM_B_NUMBER			0x04		/* Called Number	*/ 
#define INTM_DDI			0x05		/* Direct Dial In Num.	*/
#define INTM_CAUSE_CODE			0x06
#define INTM_STATUS			0x07
#define INTM_SS7_DATA			0x08
#define INTM_FIELD_CTRL			0x09
#define INTM_DIGIT			0x0A
#define INTM_CLI			0x0B		/* Calling Number	*/
#define INTM_GROUP_NUM			0x0C
#define INTM_ALARM_INFO			0x0D
#define INTM_SEIZURE_ACK		0x0E
#define INTM_SERVICE_ID			0x0F
#define INTM_LANGUAGE			0x10
#define INTM_CARD_NUM			0x11
#define INTM_CARD_NUM_VALIDATE		0x12
#define INTM_ACT_CODE			0x13
#define INTM_REMAIN_VALUE		0x14
#define INTM_CALL_PLAN			0x15
#define INTM_DURATION			0x16
#define INTM_COMB_CARD			0x17
#define INTM_COMB_CARD_NUM		0x18
#define INTM_COMB_CARD_VALUE		0x19
#define INTM_RULE_INFO			0x1A
#define INTM_REDIAL			0x1B
#define INTM_CARD_TYPE			0x1C
#define INTM_FORWARD			0x1D
#define INTM_ACTIVE_SIDE		0x1E
#define INTM_UNSTRUCTURE		0x1F
#define INTM_TOTAL_VALUE		0x20
#define INTM_SUSPEND			0x21
#define INTM_CONN_RELEASE		0x22
#define INTM_COUNTRY_CODE		0x23
#define INTM_AREA_CODE			0x24
#define INTM_LOCATION			0x25	/* Overlap VRU_NUM */
#define INTM_VRU_NUM			0x25
#define INTM_LINE_NUM			0x26
#define INTM_TRUNK_NUM			0x27
#define INTM_CALL_TYPE			0x28
#define INTM_CONN_REQ_ACK		0x29
#define INTM_REL_ACK			0x2A
#define INTM_LINE_CHECK			0x2B
#define INTM_LINE_CHECK_ACK		0x2C
#define INTM_CARD_NUM_VALIDATE_ACK	0x2D
#define INTM_B_NUM_VALIDATE_ACK	0x2E
#define INTM_CALL_TYPE_REQ		0x2F
#define INTM_B_NUM_VALIDATE		0x30
#define INTM_OUTDIAL_REQ		0x31
#define INTM_ID				0x32
#define INTM_PEAK_HOUR			0x33
#define INTM_PIN_NUM			0x34
#define INTM_CURRENT_REDIAL_NUM		0x35
#define INTM_INVALID_ATTEMPT		0x36
#define INTM_SEC_PER_BLOCK		0x37
#define INTM_UNIT_PER_BLOCK		0x38
#define INTM_OPTION			0x39
#define INTM_PROCESS_ID			0x3A
#define INTM_CALL_OPTION		0x3B
#define INTM_COBRAND			0x3C
#define INTM_ORIG_NUM			0x3D
#define INTM_DEST_NUM			0x3E
#define INTM_SERIAL_NUM			0x3F
#define INTM_COMB_SERIAL_NUM		0x40
#define INTM_CARD_RESTRICTION		0x41
#define INTM_COUNTRY_IND		0x42
#define INTM_THR_COUNTRY_CALL		0x43
#define INTM_DEFAULTRATE		0x44
#define INTM_DEFAULTBLK			0x45
#define INTM_IN_SEC_PER_BLOCK		0x46
#define INTM_IN_UNIT_PER_BLOCK		0x47
#define INTM_ACTIVATE_CARD		0x48
#define INTM_SUB_TYPE			0x49
#define INTM_MTX_CODE			0x4A
#define INTM_TIME_RESTRICTION		0x4B
#define INTM_REDIR_INFO			0x4C
#define INTM_BACKWARD			0x4D
#define INTM_ACCESS_INFO		0x4E
#define INTM_SPEEDDIAL_INFO		0x4F
#define INTM_CHARGE			0x50
#define INTM_CARD_EXP_DATE		0x51
#define INTM_CARD_DENO			0x52
#define INTM_PROMPT			0x53
#define INTM_REDIR_NUM			0x54


#endif
