/********************************************************************

	Filename	: shared.h
	Description	: Common IPC Shared Object ID

	History:
	------------------------------------------------------------
	20010701	Michael Chen: First Creation

********************************************************************/

#ifndef SHARED_H
#define SHARED_H


/***** IPC Message Queue Key *****/
#define LOGQ_ID				0x1010
#define VCOALQ_ID			0x1011
#define AMQ_ID				0x1012
#define OMQ_ID				0x1013
#define MAPUQ_ID			0x1014
#define QMQ_ID				0x1015
#define VSMQ_ID				0x1016
#define POSMQ_ID			0x1017

#define APP1Q_ID			0x1021
#define APP2Q_ID			0x1022
#define APP3Q_ID			0x1023
#define APP4Q_ID			0x1024
#define APP5Q_ID			0x1025
#define APP6Q_ID			0x1026
#define APP7Q_ID			0x1027
#define APP8Q_ID			0x1028
#define APP9Q_ID			0x1029
#define APP10Q_ID			0x102A
#define APP11Q_ID			0x102B
#define APP12Q_ID			0x102C
#define APP13Q_ID			0x102D
#define APP14Q_ID			0x102E
#define APP15Q_ID			0x102F
#define APP16Q_ID			0x1030


/***** IPC Shared Memory / Semaphore Key *****/
#define SYS_KEY 			0x1000
#define APP_KEY 			0x1001
#define STAT_KEY			0x1002
#define ACD_KEY				0x1013
#define QM_KEY				0x1015
#define VSM_KEY				0x1016
#define LCRM_KEY			0x1017


/***** Module ID *****/
#define VLOGGER				0
#define VCOAL				1
#define AM				2
#define PM				3
#define OM				4
#define QM				5
#define RM				6
#define SDS				7
#define VSM				8
#define LCRM				9
#define VCM				10
#define MAPU				11

#define OTHER				16
#define VAPP1				17
#define VAPP2				18
#define VAPP3				19
#define VAPP4				20
#define VAPP5				21
#define VAPP6				22
#define VAPP7				23
#define VAPP8				24
#define VAPP9				25
#define VAPP10				26
#define VAPP11				27
#define VAPP12				28
#define VAPP13				29
#define VAPP14				30
#define VAPP15				31
#define VAPP16				32

static char app_name[33][10]={
	"LOGGER",
	"VCOAL",
	"AM",
	"PM",
	"OM",
	"QM",
	"RM",
	"SDS",
	"VSM",
	"LCRM",
	"VCM",
	"MAPU",
	"",
	"",
	"",
	"",
	"OTHER",
	"VAPP1",
	"VAPP2",
	"VAPP3",
	"VAPP4",
	"VAPP5",
	"VAPP6",
	"VAPP7",
	"VAPP8",
	"VAPP9",
	"VAPP10",
	"VAPP11",
	"VAPP12",
	"VAPP13",
	"VAPP14",
	"VAPP15",
	"VAPP16"
};


#endif		/* SHARED_H */
