/********************************************************************

	Filename	: SMPP_Exception.h
	Description	: SMPP Exception class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation
	20010829	fw: Added Error Message

********************************************************************/

#ifndef SMPP_EXCEPTION_H
#define SMPP_EXCEPTION_H

class SMPP_Exception {
private:
	enum {
		maxErrorMsgLen = 256
	};

	unsigned long	error_code;
	char		error_msg[maxErrorMsgLen+1];

public:
	SMPP_Exception();
	SMPP_Exception(unsigned long code);
	SMPP_Exception(char *format, ...);
	SMPP_Exception(unsigned long code, char *format, ...);
	~SMPP_Exception();
	void		set_error_code(unsigned long code);
	unsigned long	get_error_code();
	void		set_error_msg(char *format, ...);
	char*		get_error_msg(char *msg);
};

#endif		/* SMPP_EXCEPTION_H */
