/********************************************************************

	Filename	: SMPP_M_Bind.h
	Description	: SMPP Bind Message class header file
			  (for BindReceiver, BindTransmitter, BindTransceiver)

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_M_BIND_H
#define SMPP_M_BIND_H

#include "SMPP_M_Request.h"
#include "SMPP_P_SystemID.h"
#include "SMPP_P_Password.h"
#include "SMPP_P_SystemType.h"
#include "SMPP_P_InterfaceVer.h"
#include "SMPP_P_AddrTON.h"
#include "SMPP_P_AddrNPI.h"
#include "SMPP_P_AddrRange.h"

class SMPP_M_Bind : public SMPP_M_Request {
public:
	// mandatory parameters
	SMPP_P_SystemID			system_id;
	SMPP_P_Password			password;
	SMPP_P_SystemType		system_type;
	SMPP_P_InterfaceVer		interface_version;
	SMPP_P_AddrTON			addr_ton;
	SMPP_P_AddrNPI			addr_npi;
	SMPP_P_AddrRange		address_range;

	SMPP_M_Bind();
	~SMPP_M_Bind();

	size_t		pack_msg(unsigned char *buf);
	size_t		unpack_msg(unsigned char *buf);
};

#endif		/* SMPP_M_BIND_H */
