/********************************************************************

	Filename	: SMPP_M_CancelSM.h
	Description	: SMPP Cancel SM Message class header file

	History:
	------------------------------------------------------------
	20010808	kei: First Creation
	20011123	kei: Add OP for PTC-SMX as GWNO of OA and DA
	20060620	leo: Add OP for SUNDAY-PPSMS

********************************************************************/

#ifndef SMPP_M_CANCELSM_H
#define SMPP_M_CANCELSM_H

#include "SMPP_M_Request.h"
#include "SMPP_P_ServiceType.h"
#include "SMPP_P_MessageID.h"
#include "SMPP_P_AddrTON.h"
#include "SMPP_P_AddrNPI.h"
#include "SMPP_P_Addr.h"
#include "SMPP_P_DA_GWNO.h"
#include "SMPP_P_OA_GWNO.h"
#include "SMPP_P_OptionalParam.h"

class SMPP_M_CancelSM : public SMPP_M_Request {
public:
	// mandatory parameters
	SMPP_P_ServiceType		service_type;
	SMPP_P_MessageID		message_id;
	SMPP_P_AddrTON			source_addr_ton;
	SMPP_P_AddrNPI			source_addr_npi;
	SMPP_P_Addr			source_addr;
	SMPP_P_AddrTON			dest_addr_ton;
	SMPP_P_AddrNPI			dest_addr_npi;
	SMPP_P_Addr			dest_addr;

	// optional parameters
	SMPP_P_DA_GWNO			dest_addr_gwno;
	SMPP_P_OA_GWNO			source_addr_gwno;
	SMPP_P_OptionalParam		optional_param;

	SMPP_M_CancelSM();
	~SMPP_M_CancelSM();

	size_t				pack_msg(unsigned char *buf);
	size_t				unpack_msg(unsigned char *buf);
};

#endif		/* SMPP_M_CANCELSM_H */
