/********************************************************************

	Filename	: SMPP_M_QuerySMResp.h
	Description	: SMPP Query SM Response Message class header file

	History:
	------------------------------------------------------------
	20010808	kei: First Creation
	20011123	kei: Add OP for PTC-SMX as GWNO of OA and DA

********************************************************************/

#ifndef SMPP_M_QUERYSMRESP_H
#define SMPP_M_QUERYSMRESP_H

#include "SMPP_M_Response.h"
#include "SMPP_P_MessageID.h"
#include "SMPP_P_FinalDate.h"
#include "SMPP_P_MessageState.h"
#include "SMPP_P_ErrorCode.h"


class SMPP_M_QuerySMResp : public SMPP_M_Response {
public:
	// mandatory parameters
	SMPP_P_MessageID		message_id;
	SMPP_P_FinalDate		final_date;
	SMPP_P_MessageState		message_state;
	SMPP_P_ErrorCode		error_code;

	SMPP_M_QuerySMResp();
	~SMPP_M_QuerySMResp();

	size_t				pack_msg(unsigned char *buf);
	size_t				unpack_msg(unsigned char *buf);
};

#endif		/* SMPP_M_QUERYSMRESP_H */
