/********************************************************************

	Filename	: SMPP_M_ReplaceSM.h
	Description	: SMPP Replace SM Message class header file

	History:
	------------------------------------------------------------
	20010808	kei: First Creation
	20011123	kei: Add OP for PTC-SMX as GWNO of OA and DA

********************************************************************/

#ifndef SMPP_M_REPLACESM_H
#define SMPP_M_REPLACESM_H

#include "SMPP_M_Request.h"
#include "SMPP_P_MessageID.h"
#include "SMPP_P_AddrTON.h"
#include "SMPP_P_AddrNPI.h"
#include "SMPP_P_Addr.h"
#include "SMPP_P_ScheduleDeliveryTime.h"
#include "SMPP_P_ValidityPeriod.h"
#include "SMPP_P_RegisteredDelivery.h"
#include "SMPP_P_SM_DefaultMsgID.h"
#include "SMPP_P_SM_Length.h"
#include "SMPP_P_ShortMessage.h"
#include "SMPP_P_DA_GWNO.h"
#include "SMPP_P_OA_GWNO.h"

class SMPP_M_ReplaceSM : public SMPP_M_Request {
public:
	// mandatory parameters
	SMPP_P_MessageID		message_id;
	SMPP_P_AddrTON			source_addr_ton;
	SMPP_P_AddrNPI			source_addr_npi;
	SMPP_P_Addr			source_addr;
	SMPP_P_ScheduleDeliveryTime	schedule_delivery_time;
	SMPP_P_ValidityPeriod		validity_period;
	SMPP_P_RegisteredDelivery	registered_delivery;
	SMPP_P_SM_DefaultMsgID		sm_default_msg_id;
	SMPP_P_SM_Length		sm_length;
	SMPP_P_ShortMessage		short_message;

	SMPP_P_DA_GWNO			dest_addr_gwno;
	SMPP_P_OA_GWNO			source_addr_gwno;

	SMPP_M_ReplaceSM();
	~SMPP_M_ReplaceSM();

	size_t				pack_msg(unsigned char *buf);
	size_t				unpack_msg(unsigned char *buf);
};

#endif		/* SMPP_M_REPLACESM_H */
