/********************************************************************

	Filename	: SMPP_M_SubmitSMResp.h
	Description	: SMPP SubmitSM Response Message class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation
	20011123	kei: Add OP for PTC-SMX as GWNO of OA and DA
	20060620	leo: Add OP for SUNDAY-PPSMS

********************************************************************/

#ifndef SMPP_M_SUBMITSMRESP_H
#define SMPP_M_SUBMITSMRESP_H

#include "SMPP_M_Response.h"
#include "SMPP_P_MessageID.h"
#include "SMPP_P_OptionalParam.h"

class SMPP_M_SubmitSMResp : public SMPP_M_Response {
public:
	// mandatory parameters
	SMPP_P_MessageID		message_id;

	// optional parameters
	SMPP_P_OptionalParam		optional_param;

	SMPP_M_SubmitSMResp();
	~SMPP_M_SubmitSMResp();

	size_t				pack_msg(unsigned char *buf);
	size_t				unpack_msg(unsigned char *buf);
};

#endif		/* SMPP_M_SUBMITSMRESP_H */
