/********************************************************************

	Filename	: SMPP_P_AddrNPI.h
	Description	: SMPP Address NPI Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_ADDRNPI_H
#define SMPP_P_ADDRNPI_H

#include "SMPP_P_Integer.h"

class SMPP_P_AddrNPI : public SMPP_P_Integer {
public:
	enum {
		maxLen = 1
	};

	SMPP_P_AddrNPI();
	~SMPP_P_AddrNPI();
};

#define SMPP_ADDR_NPI_UNKNOWN		0x00
#define SMPP_ADDR_NPI_ISDN		0x01	// E.163 / E.164
#define SMPP_ADDR_NPI_DATA		0x03	// X.121
#define SMPP_ADDR_NPI_TELEX		0x04	// F.69
#define SMPP_ADDR_NPI_LAND_MOBILE	0x06	// E.212
#define SMPP_ADDR_NPI_NATIONAL		0x08
#define SMPP_ADDR_NPI_PRIVATE		0x09
#define SMPP_ADDR_NPI_ERMES		0x0A
#define SMPP_ADDR_NPI_INTERNET		0x0E	// IP
#define SMPP_ADDR_NPI_WAP		0x12

#endif		/* SMPP_P_ADDRNPI_H */
