/********************************************************************

	Filename	: SMPP_P_ESMClass.h
	Description	: SMPP ESM Class Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_ESMCLASS_H
#define SMPP_P_ESMCLASS_H

#include "SMPP_P_Integer.h"

class SMPP_P_ESMClass : public SMPP_P_Integer {
public:
	enum {
		maxLen = 1
	};

	SMPP_P_ESMClass();
	~SMPP_P_ESMClass();

	int							is_delivery_receipt();
};

// Message Mode (bits 1-0)
#define SMPP_ESM_CLASS_DEFAULT_SMSC				0x00
#define SMPP_ESM_CLASS_DATAGRAM					0x01
#define SMPP_ESM_CLASS_FORWARD					0x02
#define SMPP_ESM_CLASS_STORE_FORWARD				0x03

// Message Type (bits 5-2)
#define SMPP_ESM_CLASS_DEFAULT_MSG				0x00
#define SMPP_ESM_CLASS_DELIVERY_RECEIPT				0x04
#define SMPP_ESM_CLASS_DELIVERY_ACK				0x08
#define SMPP_ESM_CLASS_USER_ACK					0x10
#define SMPP_ESM_CLASS_CONVERSATION_ABORT			0x18
#define SMPP_ESM_CLASS_INTERMEDIATE_DELIVERY_NOTIFICATION	0x20

// GSM Network Specific Features (bits 7-6)
#define SMPP_ESM_CLASS_NOT_SPECIFIC				0x00
#define SMPP_ESM_CLASS_UDHI					0x40
#define SMPP_ESM_CLASS_REPLY_PATH				0x80
#define SMPP_ESM_CLASS_UDHI_REPLY_PATH				0xC0

#endif		/* SMPP_P_ESMCLASS_H */
