/********************************************************************

	Filename	: SMPP_P_O_Integer.h
	Description	: SMPP Optional Integer Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_O_INTEGER_H
#define SMPP_P_O_INTEGER_H

#include "SMPP_P_Optional.h"

class SMPP_P_O_Integer : public SMPP_P_Optional {
protected:
	unsigned long		value;
	void			set_op_length(size_t len);

public:
	SMPP_P_O_Integer();
	~SMPP_P_O_Integer();
	void			clear_value();
	void			set_value(unsigned long val);
	unsigned long		get_value();
	size_t			pack_param(unsigned char *buf);
	size_t			unpack_param(unsigned char *buf);
};

#endif		/* SMPP_P_O_INTEGER_H */
