/********************************************************************

	Filename	: SMPP_P_O_OctetString.h
	Description	: SMPP Optional Octet String Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_O_OCTETSTRING_H
#define SMPP_P_O_OCTETSTRING_H

#include "SMPP_P_Optional.h"

class SMPP_P_O_OctetString : public SMPP_P_Optional {
protected:
	unsigned char		content[65535];

public:
	SMPP_P_O_OctetString();
	~SMPP_P_O_OctetString();

	void			clear_content();
	void			set_content(unsigned char *buf, size_t len);
	size_t			get_content(unsigned char *buf);
	size_t			get_content_len();
	size_t			pack_param(unsigned char *buf);
	size_t			unpack_param(unsigned char *buf);
};

#endif		/* SMPP_P_O_OCTETSTRING_H */
