/********************************************************************

	Filename	: SMPP_P_OctetString.h
	Description	: SMPP OctetString Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_OCTETSTRING_H
#define SMPP_P_OCTETSTRING_H

#include "SMPP_Param.h"

class SMPP_P_OctetString : public SMPP_Param {
protected:
	size_t			max_len;
	void			set_max_len(size_t len);
	size_t			get_max_len();

	unsigned char		content[256];

public:

	SMPP_P_OctetString();
	~SMPP_P_OctetString();

	void	set_content(unsigned char *buf, size_t len);
	size_t	get_content(unsigned char *buf);
	size_t	pack_param(unsigned char *buf);
	size_t	unpack_param(unsigned char *buf);
	size_t	unpack_param(unsigned char *buf, size_t len);
};

#endif		/* SMPP_P_OCTETSTRING_H */
