/********************************************************************

	Filename	: SMPP_P_Optional.h
	Description	: SMPP Optional Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_OPTIONAL_H
#define SMPP_P_OPTIONAL_H

#include "SMPP_Param.h"
#include "SMPP_P_OP_Tag.h"
#include "SMPP_P_OP_Length.h"

class SMPP_P_Optional : public SMPP_Param {
protected:
	void		set_op_tag(unsigned long tag);
	unsigned long	get_op_tag();
	void		set_op_length(size_t len);
	size_t		get_op_length();

public:
	SMPP_P_OP_Tag		op_tag;
	SMPP_P_OP_Length	op_len;
	int			present_flag;

	SMPP_P_Optional();
	~SMPP_P_Optional();

	void			set();
	void			clear();
	int			is_present();
};

#endif		/* SMPP_P_OPTIONAL_H */
