/********************************************************************

	Filename	: SMPP_P_OptionalParam.h
	Description	: SMPP Short Message Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_OPTIONALPARAM_H
#define SMPP_P_OPTIONALPARAM_H

#include "SMPP_P_OctetString.h"

class SMPP_P_OptionalParam : public SMPP_Param {
protected:
	unsigned char		content[65535];

public:
	SMPP_P_OptionalParam();
	~SMPP_P_OptionalParam();

	int	is_op_param_present(unsigned short tag);
	void	set_op_param(unsigned short tag, unsigned short inlen, unsigned char *data);
	size_t	get_op_param(unsigned short tag, unsigned char *data);
	
	void	set_op_param_multi(unsigned char *data, unsigned short inlen);
	size_t	get_op_param_multi(unsigned char *data);

	void	set_content(unsigned char *buf, size_t len);
	size_t	get_content(unsigned char *buf);

	size_t	pack_param(unsigned char *buf);
	size_t	unpack_param(unsigned char *buf);
	size_t	unpack_param(unsigned char *buf, size_t len);
};

#endif		/* SMPP_P_OPTIONALPARAM_H */
