/********************************************************************

	Filename	: SMPP_P_RegisteredDelivery.h
	Description	: SMPP Registered Delivery Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_REGISTEREDDELIVERY_H
#define SMPP_P_REGISTEREDDELIVERY_H

#include "SMPP_P_Integer.h"

class SMPP_P_RegisteredDelivery : public SMPP_P_Integer {
public:
	enum {
		maxLen = 1
	};

	SMPP_P_RegisteredDelivery();
	~SMPP_P_RegisteredDelivery();
};

// SMSC Delivery Receipt (bits 1 and 0)
#define SMPP_REG_DELIVERY_REQUEST_OFF			0x00
#define SMPP_REG_DELIVERY_REQUEST_WHEN_SUCCESS_FAIL	0x01
#define SMPP_REG_DELIVERY_REQUEST_WHEN_FAIL		0x02

// SME Originated Ack (bits 3 and 2)
#define SMPP_REG_DELIVERY_SME_ACK_REQUEST_OFF		0x00
#define SMPP_REG_DELIVERY_SME_ACK_REQUEST_DELIVERY	0x04
#define SMPP_REG_DELIVERY_SME_ACK_REQUEST_USER		0x08
#define SMPP_REG_DELIVERY_SME_ACK_REQUEST_DELIVERY_USER	0x0C

// Intermediate Notification (bit 5)
#define SMPP_REG_DELIVERY_INTERMEDIATE_NOTIFICATION_OFF	0x00
#define SMPP_REG_DELIVERY_INTERMEDIATE_NOTIFICATION_ON	0x10

#endif		/* SMPP_P_REGISTEREDDELIVERY_H */
