/********************************************************************

	Filename	: SMPP_P_ServiceType.h
	Description	: SMPP Service Type Param class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_P_SERVICETYPE_H
#define SMPP_P_SERVICETYPE_H

#include "SMPP_P_Var_C_OctetString.h"

class SMPP_P_ServiceType : public SMPP_P_Var_C_OctetString {
public:
	enum {
		maxLen = 6
	};

	SMPP_P_ServiceType();
	~SMPP_P_ServiceType();
};

#define SMPP_SERVICE_TYPE_DEFAULT	""
#define SMPP_SERVICE_TYPE_CMT		"CMT"		// Cellular Messaging
#define SMPP_SERVICE_TYPE_CPT		"CPT"		// Cellular Paging
#define SMPP_SERVICE_TYPE_VMN		"VMN"		// Voice Mail Notification
#define SMPP_SERVICE_TYPE_VMA		"VMA"		// Voice Mail Alerting
#define SMPP_SERVICE_TYPE_WAP		"WAP"		// Wireless Application Protocol
#define SMPP_SERVICE_TYPE_USSD		"USSD"		// Unstructured Supplementary Services Data

#endif		/* SMPP_P_SERVICETYPE_H */
