/********************************************************************

	Filename	: SMPP_Param.h
	Description	: SMPP Param Base class header file

	History:
	------------------------------------------------------------
	20010707	fw: First Creation

********************************************************************/

#ifndef SMPP_PARAM_H
#define SMPP_PARAM_H

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "SMPP.h"
#include "SMPP_Exception.h"

class SMPP_Param {
private:
	size_t		length;

protected:
	virtual void	set_length(size_t len);

public:
	SMPP_Param();
	~SMPP_Param();
	virtual size_t	pack_param(unsigned char *buf) = 0;
	virtual size_t	unpack_param(unsigned char *buf) = 0;
	size_t		get_length();
};

#endif		/* SMPP_PARAM_H */
