/********************************************************************

	Filename	: common.h
	Description	: Application common file

	History:
	------------------------------------------------------------
	20020516	Kei	First Creation

********************************************************************/

#ifndef ITLLIB_COMMON_H
#define ITLLIB_COMMON_H

#define LOGQUEUE_KEY		0x0010
#define ALARM_KEY			0x0011
#define APPSTATUS_KEY		0x0012
#define APPLOG_KEY			0x0013
#define APPPORT_KEY			0x0014

#define DEBUGLINE	printf("File:%s Line:%d\n", __FILE__, __LINE__);
#define STRNCMP(a,b)    strncmp(a, b, strlen(b))
#define HOME_ENV	"HOME"
#define CFG_ENV		"CONFDIR"
#define BIN_ENV		"BINDIR"
#define LOG_ENV		"LOGDIR"

#include <time.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <stdarg.h>
#include <iostream.h>

#ifndef WIN32
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <sys/msg.h>
#include <sys/sem.h>
#include <sys/utsname.h>
#include <sys/wait.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <unistd.h>
#include <fcntl.h>
#include <signal.h>
#include <errno.h>
#include <poll.h>
#include <unistd.h>

#ifdef __linux__
#include <pthread.h>
#else
#include <thread.h>
#endif

#else			/* WIN32 */
#include <windows.h>
#include <winsock.h>
#include <process.h>
#include <time.h>
#include <signal.h>
#include <Shlwapi.h>

#define getpid		_getpid
#define pid_t		int
#define strcasecmp	StrCmpI
#endif

#endif /* ITLLIB_COMMON_H */
