/********************************************************************

	Filename	: SMPP_P_DeliveryReceipt.h
	Description	: SMPP Delivery Receipt Param Class header file

	History:
	------------------------------------------------------------
	20010808	kei: First Creation

********************************************************************/

#ifndef SMPP_M_DELIVERYRECEIPT_H
#define SMPP_M_DELIVERYRECEIPT_H

#include "SMPP_P_DR_ID.h"
#include "SMPP_P_DR_SUB.h"
#include "SMPP_P_DR_DLVRD.h"
#include "SMPP_P_DR_SubmitDate.h"
#include "SMPP_P_DR_DoneDate.h"
#include "SMPP_P_DR_STAT.h"
#include "SMPP_P_DR_ERR.h"
#include "SMPP_P_DR_TEXT.h"

class SMPP_P_DeliveryReceipt {
public:
	// parameters
	SMPP_P_DR_ID			id;
	SMPP_P_DR_SUB			sub;
	SMPP_P_DR_DLVRD			dlvrd;
	SMPP_P_DR_SubmitDate		submit_date;
	SMPP_P_DR_DoneDate		done_date;
	SMPP_P_DR_STAT			stat;
	SMPP_P_DR_ERR			err;
	SMPP_P_DR_TEXT			text;

	SMPP_P_DeliveryReceipt();
	~SMPP_P_DeliveryReceipt();

	size_t				pack_msg(unsigned char *buf);
	size_t				unpack_msg(unsigned char *buf);
};

#endif		/* SMPP_M_DELIVERYRECEIPT_H */
