/********************************************************************

	Filename      : smppClient.h
	Description   : SMPP Client Class header file
	Version       : 1.00

	History
	------------------------------------------------------------
	20020801	First Creation

********************************************************************/

#ifndef SMPPCLIENT_H
#define SMPPCLIENT_H

#include <poll.h>
#include "SMPP_TCPClient.h"
#include "IPC_Queue.h"

class smppClient: public SMPP_TCPClient {
private:
	int		seq_num;

public:
	int		quit;
	int 		login_flag;  // 0 - haven't login, 1 - login  2 - successful
	IPC_Queue 	my_q;
	IPC_Queue	dispatch_q;
	unsigned char   user[30], password[30];
	int 		enquirelink_count;
	int		enquirelink_flag;
        time_t  	last_activity_time;

	smppClient();
	~smppClient();
	smppClient& waitEvent();
	int init();
	int connectServer(int i);
	int disconnectServer(int id);
	int processServerEvent(int id);
	int getNextSeqNum();
	smppClient& startUser();
	void loginServer(int id, int logintype);
	void logoutServer(int id);
	void processIntmMessage(intm_msg* intm, int in_msg_size);
	void packEAIntmMessage(int utype, unsigned char* msisdn, unsigned char* ussd_string, unsigned char* imsi, unsigned char* vlr,unsigned char*hlr);
	void enquireLink(int id);
        void check_enquireLink_timeout();
};

#endif /* SMPPCLIENT_H */
